## UIM enumerations and flags

UIM enumerations and flags

## Functions

const gchar * | qmi_uim_session_type_get_string ()
const gchar * | qmi_uim_file_type_get_string ()
const gchar * | qmi_uim_security_attribute_logic_get_string ()
gchar * | qmi_uim_security_attribute_build_string_from_mask ()
const gchar * | qmi_uim_card_state_get_string ()
const gchar * | qmi_uim_card_error_get_string ()
const gchar * | qmi_uim_pin_state_get_string ()
const gchar * | qmi_uim_card_application_type_get_string ()
const gchar * | qmi_uim_card_application_state_get_string ()
const gchar * | qmi_uim_card_application_personalization_state_get_string ()
const gchar * | qmi_uim_card_application_personalization_feature_get_string ()
const gchar * | qmi_uim_pin_id_get_string ()

## Types and Values

enum | QmiUimSessionType
enum | QmiUimFileType
enum | QmiUimSecurityAttributeLogic
enum | QmiUimSecurityAttribute
enum | QmiUimCardState
enum | QmiUimCardError
enum | QmiUimPinState
enum | QmiUimCardApplicationType
enum | QmiUimCardApplicationState
enum | QmiUimCardApplicationPersonalizationState
enum | QmiUimCardApplicationPersonalizationFeature
enum | QmiUimPinId

## Object Hierarchy

        GEnum
        ├── QmiUimCardApplicationPersonalizationFeature
        ├── QmiUimCardApplicationPersonalizationState
        ├── QmiUimCardApplicationState
        ├── QmiUimCardApplicationType
        ├── QmiUimCardError
        ├── QmiUimCardState
        ├── QmiUimFileType
        ├── QmiUimPinId
        ├── QmiUimPinState
        ├── QmiUimSecurityAttributeLogic
        ╰── QmiUimSessionType
        GFlags
        ╰── QmiUimSecurityAttribute

## Description

This section defines enumerations and flags used in the UIM service interface.

## Functions

### qmi_uim_session_type_get_string ()

    const gchar *
    qmi_uim_session_type_get_string (QmiUimSessionType val);

Gets the nickname string for the QmiUimSessionType specified at `val` .

#### Parameters

val | a QmiUimSessionType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.6

### qmi_uim_file_type_get_string ()

    const gchar *
    qmi_uim_file_type_get_string (QmiUimFileType val);

Gets the nickname string for the QmiUimFileType specified at `val` .

#### Parameters

val | a QmiUimFileType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.6

### qmi_uim_security_attribute_logic_get_string ()

    const gchar *
    qmi_uim_security_attribute_logic_get_string
                                   (QmiUimSecurityAttributeLogic val);

Gets the nickname string for the QmiUimSecurityAttributeLogic specified at `val` .

#### Parameters

val | a QmiUimSecurityAttributeLogic. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.6

### qmi_uim_security_attribute_build_string_from_mask ()

    gchar *
    qmi_uim_security_attribute_build_string_from_mask
                                   (QmiUimSecurityAttribute mask);

Builds a string containing a comma-separated list of nicknames for each QmiUimSecurityAttribute in `mask` .

#### Parameters

mask | bitmask of QmiUimSecurityAttribute values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.6

### qmi_uim_card_state_get_string ()

    const gchar *
    qmi_uim_card_state_get_string (QmiUimCardState val);

Gets the nickname string for the QmiUimCardState specified at `val` .

#### Parameters

val | a QmiUimCardState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_card_error_get_string ()

    const gchar *
    qmi_uim_card_error_get_string (QmiUimCardError val);

Gets the nickname string for the QmiUimCardError specified at `val` .

#### Parameters

val | a QmiUimCardError. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_pin_state_get_string ()

    const gchar *
    qmi_uim_pin_state_get_string (QmiUimPinState val);

Gets the nickname string for the QmiUimPinState specified at `val` .

#### Parameters

val | a QmiUimPinState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_card_application_type_get_string ()

    const gchar *
    qmi_uim_card_application_type_get_string
                                   (QmiUimCardApplicationType val);

Gets the nickname string for the QmiUimCardApplicationType specified at `val` .

#### Parameters

val | a QmiUimCardApplicationType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_card_application_state_get_string ()

    const gchar *
    qmi_uim_card_application_state_get_string
                                   (QmiUimCardApplicationState val);

Gets the nickname string for the QmiUimCardApplicationState specified at `val` .

#### Parameters

val | a QmiUimCardApplicationState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_card_application_personalization_state_get_string ()

    const gchar *
    qmi_uim_card_application_personalization_state_get_string
                                   (QmiUimCardApplicationPersonalizationState val);

Gets the nickname string for the QmiUimCardApplicationPersonalizationState specified at `val` .

#### Parameters

val | a QmiUimCardApplicationPersonalizationState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_card_application_personalization_feature_get_string ()

    const gchar *
    qmi_uim_card_application_personalization_feature_get_string
                                   (QmiUimCardApplicationPersonalizationFeature val);

Gets the nickname string for the QmiUimCardApplicationPersonalizationFeature specified at `val` .

#### Parameters

val | a QmiUimCardApplicationPersonalizationFeature. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_uim_pin_id_get_string ()

    const gchar *
    qmi_uim_pin_id_get_string (QmiUimPinId val);

Gets the nickname string for the QmiUimPinId specified at `val` .

#### Parameters

val | a QmiUimPinId. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

## Types and Values

### enum QmiUimSessionType

Type of UIM session.

#### Members

QMI_UIM_SESSION_TYPE_PRIMARY_GW_PROVISIONING | Primary GSM/WCDMA provisioning. |
QMI_UIM_SESSION_TYPE_PRIMARY_1X_PROVISIONING | Primary CDMA1x provisioning. |
QMI_UIM_SESSION_TYPE_SECONDARY_GW_PROVISIONING | Secondary GSM/WCDMA provisioning. |
QMI_UIM_SESSION_TYPE_SECONDARY_1X_PROVISIONING | Secondary CDMA1x provisioning. |
QMI_UIM_SESSION_TYPE_NONPROVISIONING_SLOT_1 | Nonprovisioning on slot 1. |
QMI_UIM_SESSION_TYPE_NONPROVISIONING_SLOT_2 | Nonprovisioning on slot 2. |
QMI_UIM_SESSION_TYPE_CARD_SLOT_1 | Card on slot 1. |
QMI_UIM_SESSION_TYPE_CARD_SLOT_2 | Card on slot 2. |
QMI_UIM_SESSION_TYPE_LOGICAL_CHANNEL_SLOT_1 | Logical channel on slot 1. |
QMI_UIM_SESSION_TYPE_LOGICAL_CHANNEL_SLOT_2 | Logical channel on slot 2. |

Since: 1.6

### enum QmiUimFileType

Type of UIM file.

#### Members

QMI_UIM_FILE_TYPE_TRANSPARENT | Transparent. |
QMI_UIM_FILE_TYPE_CYCLIC | Cyclic. |
QMI_UIM_FILE_TYPE_LINEAR_FIXED | Linear fixed. |
QMI_UIM_FILE_TYPE_DEDICATED_FILE | Dedicated file. |
QMI_UIM_FILE_TYPE_MASTER_FILE | Master file. |

Since: 1.6

### enum QmiUimSecurityAttributeLogic

Logic applicable to security attributes.

#### Members

QMI_UIM_SECURITY_ATTRIBUTE_LOGIC_ALWAYS | Always. |
QMI_UIM_SECURITY_ATTRIBUTE_LOGIC_NEVER | Never. |
QMI_UIM_SECURITY_ATTRIBUTE_LOGIC_AND | And. |
QMI_UIM_SECURITY_ATTRIBUTE_LOGIC_OR | Or. |
QMI_UIM_SECURITY_ATTRIBUTE_LOGIC_SINGLE | Single. |

Since: 1.6

### enum QmiUimSecurityAttribute

Security Attributes.

#### Members

QMI_UIM_SECURITY_ATTRIBUTE_PIN1 | PIN1. |
QMI_UIM_SECURITY_ATTRIBUTE_PIN2 | PIN2. |
QMI_UIM_SECURITY_ATTRIBUTE_UPIN | UPIN. |
QMI_UIM_SECURITY_ATTRIBUTE_ADM | ADM. |

Since: 1.6

### enum QmiUimCardState

State of the card.

#### Members

QMI_UIM_CARD_STATE_ABSENT | Absent. |
QMI_UIM_CARD_STATE_PRESENT | Present. |
QMI_UIM_CARD_STATE_ERROR | Error. |

Since: 1.10

### enum QmiUimCardError

Card error.

#### Members

QMI_UIM_CARD_ERROR_UNKNOWN | Unknown error. |
QMI_UIM_CARD_ERROR_POWER_DOWN | Power down. |
QMI_UIM_CARD_ERROR_POLL | Poll error. |
QMI_UIM_CARD_ERROR_NO_ATR_RECEIVED | No ATR received. |
QMI_UIM_CARD_ERROR_VOLTAGE_MISMATCH | Voltage mismatch. |
QMI_UIM_CARD_ERROR_PARITY | Parity error. |
QMI_UIM_CARD_ERROR_POSSIBLY_REMOVED | Unknown error, possibly removed. |
QMI_UIM_CARD_ERROR_TECHNICAL | Technical problem. |

Since: 1.10

### enum QmiUimPinState

The PIN state.

#### Members

QMI_UIM_PIN_STATE_NOT_INITIALIZED | Not initialized. |
QMI_UIM_PIN_STATE_ENABLED_NOT_VERIFIED | Enabled, not verified. |
QMI_UIM_PIN_STATE_ENABLED_VERIFIED | Enabled, verified. |
QMI_UIM_PIN_STATE_DISABLED | Disabled. |
QMI_UIM_PIN_STATE_BLOCKED | Blocked. |
QMI_UIM_PIN_STATE_PERMANENTLY_BLOCKED | Permanently Blocked. |

Since: 1.10

### enum QmiUimCardApplicationType

Card application type.

#### Members

QMI_UIM_CARD_APPLICATION_TYPE_UNKNOWN | Unknown. |
QMI_UIM_CARD_APPLICATION_TYPE_SIM | SIM. |
QMI_UIM_CARD_APPLICATION_TYPE_USIM | USIM. |
QMI_UIM_CARD_APPLICATION_TYPE_RUIM | RUIM. |
QMI_UIM_CARD_APPLICATION_TYPE_CSIM | CSIM. |
QMI_UIM_CARD_APPLICATION_TYPE_ISIM | ISIM. |

Since: 1.10

### enum QmiUimCardApplicationState

Card application state.

#### Members

QMI_UIM_CARD_APPLICATION_STATE_UNKNOWN | Unknown. |
QMI_UIM_CARD_APPLICATION_STATE_DETECTED | Detected. |
QMI_UIM_CARD_APPLICATION_STATE_PIN1_OR_UPIN_PIN_REQUIRED | PIN1 or UPIN PIN required. |
QMI_UIM_CARD_APPLICATION_STATE_PUK1_OR_UPIN_PUK_REQUIRED | PUK1 or UPIN PUK required. |
QMI_UIM_CARD_APPLICATION_STATE_CHECK_PERSONALIZATION_STATE | Personalization state must be checked. |
QMI_UIM_CARD_APPLICATION_STATE_PIN1_BLOCKED | PIN1 blocked. |
QMI_UIM_CARD_APPLICATION_STATE_ILLEGAL | Illegal. |
QMI_UIM_CARD_APPLICATION_STATE_READY | Ready |

Since: 1.10

### enum QmiUimCardApplicationPersonalizationState

Card application personalization state.

#### Members

QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_UNKNOWN | Unknown. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_IN_PROGRESS | Operation in progress. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_READY | Ready. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_CODE_REQUIRED | Code required. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_PUK_CODE_REQUIRED | PUK code required. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_PERMANENTLY_BLOCKED | Permanently blocked- |

Since: 1.10

### enum QmiUimCardApplicationPersonalizationFeature

Card application personalization feature, when a code is required.

#### Members

QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_NETWORK | GW network. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_NETWORK_SUBSET | GW network subset. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_SERVICE_PROVIDER | GW service provider. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_CORPORATE | GW corporate. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_GW_UIM | UIM. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_NETWORK_TYPE_1 | 1X network type 1. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_NETWORK_TYPE_2 | 1X network type 2. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_HRPD | 1X HRPD. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_SERVICE_PROVIDER | 1X service provider. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_CORPORATE | 1X corporate. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_1X_RUIM | 1X R-UIM. |
QMI_UIM_CARD_APPLICATION_PERSONALIZATION_FEATURE_UNKNOWN | Unknown. |

Since: 1.10

### enum QmiUimPinId

PIN ID.

#### Members

QMI_UIM_PIN_ID_UNKNOWN | Unknown. |
QMI_UIM_PIN_ID_PIN1 | PIN1. |
QMI_UIM_PIN_ID_PIN2 | PIN2. |
QMI_UIM_PIN_ID_UPIN | UPIN. |
QMI_UIM_PIN_ID_HIDDEN_KEY | Hidden key. |

Since: 1.14